Get all employee community posts

get

/hcmRestApi/resources/11.13.18.05/communicateUIEmployeeCommunityDetails/{EmployeeCommunityId}/child/posts

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds employee community posts based on the primary key.
      Finder Variables
      • EmployeeCommunityPostId; integer; Identifier for the employee community post.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • CanDelete; string; Indicates whether the user can delete the community post. Valid values are true and false. Default is false.
    • CanEdit; string; Indicates whether the user can edit the community post. Valid values are true and false. Default is false.
    • CanPINPost; string; Indicates whether the user can pin the post. Valid values are true and false. Default is false.
    • CanUnpinPost; string; Indicates whether the user can unpin a post. Valid values are true and false. Default is false.
    • CreatedBy; string; Indicates who created the community post. This field is read-only and automatically populated when the post is created.
    • CreationDate; string; Date when the community post was created.
    • EmployeeCommunityId; integer; Unique identifier for the employee community associated with the post.
    • EmployeeCommunityPostId; integer; Unique identifier for the employee community post.
    • LastUpdateDate; string; Last updated date of the employee community post. Indicates when the post was most recently modified.
    • LastUpdateLogin; string; Last updated login identifier for the employee community post.
    • LastUpdatedBy; string; Last updated by the user who modified the community post.
    • NumberOfViews; integer; Number of views for the community post. This value indicates how many times the post has been viewed by users.
    • ObjectStatus; string; Indicates the current status of the community post. Valid values are Active and Inactive. Default is Active.
    • ObjectVersionNumber; integer; Unique identifier for the version of the employee community post. This value helps in tracking changes to the post.
    • PinnedByPersonId; integer; Identifier of the person who pinned the post.
    • PinnedByPersonName; string; Name of the person who pinned the post.
    • PinnedDate; string; Date when the post was pinned to the top of the community feed.
    • PinnedFlag; boolean; Indicates whether the post is pinned. Valid values are Y and N. Default is N.
    • PostCreatorPersonId; integer; Identifier of the person who created the post.
    • PostCreatorPersonName; string; Name of the person who created the post.
    • VisibilityCode; string; Indicates the visibility setting for the community post. Valid values are Public and Private. Default is Public.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : communicateUIEmployeeCommunityDetails-posts
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-posts-item-response
Type: object
Show Source
Nested Schema : Candidate Attachments
Type: array
Title: Candidate Attachments
The attachments resource provides information about files attached to the interview.
Show Source
Nested Schema : Post Action Metrics
Type: array
Title: Post Action Metrics
The EmpCmtPostActionTkUI resource provides details about employee community post actions.
Show Source
Nested Schema : Post Mentions
Type: array
Title: Post Mentions
The postMentions resource provides details about mentions in employee community posts.
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-posts-attachments-item-response
Type: object
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-posts-postActionTracking-item-response
Type: object
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-posts-postMentions-item-response
Type: object
Show Source
Back to Top